from rocolib.api.components.Component import Component

c = Component()

c.addSubcomponent("seat","ChairSeat", inherit=True, prefix=None, root=True)
c.addSubcomponent("legl","VLeg", inherit=True, prefix=None)
c.addSubcomponent("legr","VLeg", inherit=True, prefix=None)

c.addConstraint(("legl","width"), "depth")
c.addConstraint(("legr","width"), "depth")

c.addConnection(("seat","left"),("legl","topedge"), angle=0)
c.addConnection(("seat","right"),("legr","topedge"), angle=0)

c.toLibrary("SimpleChair")
